@echo off
echo start......
echo,
set isMobile=business
set sass=s-
set business=b-
set env=env.js
set pages=pages.json
set config=config.js
set uni=uni.scss
set /a sum=0

for %%m in (*) do (
	if "%%m"=="s-config.js" (
		set isMobile=sass
	)
)

echo %isMobile%

if "%isMobile%"=="sass" (
	echo %isMobile%
	for %%z in (*) do (
		echo %%z
		if "%%z"=="config.js" (
			ren %%z %business%%%z
			set /a sum+=1
		)
		if "%%z"=="env.js" (
			ren %%z %business%%%z
			set /a sum+=1
		)
	)
	echo,
	for %%z in (*) do (
		echo %%z
		if "%%z"=="s-config.js" (
			ren %%z %config%
			set /a sum+=1
		)
		if "%%z"=="s-env.js" (
			ren %%z %env%
			set /a sum+=1
		)
	)
) else (
	echo %isMobile%
	for %%z in (*) do (
		echo %%z
		if "%%z"=="config.js" (
			ren %%z %sass%%%z
			set /a sum+=1
		)
		if "%%z"=="env.js" (
			ren %%z %sass%%%z
			set /a sum+=1
		)
	)
	echo,
	for %%z in (*) do (
		echo %%z
		if "%%z"=="b-config.js" (
			ren %%z %config%
			set /a sum+=1
		)
		if "%%z"=="b-env.js" (
			ren %%z %env%
			set /a sum+=1
		)
	)
)
echo,
echo file change success to *********    %isMobile%
echo,
echo ******************  ljd  ********************
echo,
echo end ******  %sum%  ****** file is change confirm
echo,
echo ******************  jmq  ********************
echo,
set isMobile=
set mobile=
set business=
set manifest=
set pages=
set config=
set sum=
PAUSE